POST /replicate/v1/models/black-forest-labs/flux-schnell/predictions
Method: POSTEndpoint: /replicate/v1/models/black-forest-labs/flux-schnell/predictions
https://replicate.com/black-forest-labs/flux-schnell
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
input
object
Required
prompt
string
Required
go_fast
boolean
Optional
megapixels
string
Optional
num_outputs
integer
Optional
aspect_ratio
string
Defaults to 1:1.
Optional
output_format
string
Optional
output_quality
integer
Optional
num_inference_steps
integer
Optional
Example
{
"input"
:
{
"prompt"
:
"string"
,
"go_fast"
:
true
,
"megapixels"
:
"string"
,
"num_outputs"
:
0
,
"aspect_ratio"
:
"string"
,
"output_format"
:
"string"
,
"output_quality"
:
0
,
"num_inference_steps"
:
0
}
}Example Request
Shell
bash
curl --location --request POST '/replicate/v1/models/black-forest-labs/flux-schnell/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"input": {
"prompt": "string",
"go_fast": true,
"megapixels": "string",
"num_outputs": 0,
"aspect_ratio": "string",
"output_format": "string",
"output_quality": 0,
"num_inference_steps": 0
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}